{
   "buffs":
   [
         {
            "id" : "nielyjs_sk1bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben4_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben4_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben3_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben3_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben2_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben2_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben1_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben1_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_8",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_8",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_9",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_9",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_10",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_10",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_11",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_11",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_12",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_12",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben4_12",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben4_12",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben3_12",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenbe3_12",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben2_12",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben2_12",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben1_12",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben1_12",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_13",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_13",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_14",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_14",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk1bf_wenben5_15",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk1_wenben5_15",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },




         {
            "id" : "nielyjs_sk2bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben4_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben4_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben3_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben3_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben2_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben2_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben1_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben1_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben4_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben4_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben3_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben3_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben2_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben2_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben1_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben1_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben4_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben4_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben3_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben3_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben2_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben2_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben1_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben1_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk2bf_wenben5_8",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk2_wenben5_8",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },




         {
            "id" : "nielyjs_sk3bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben4_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben4_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben3_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben3_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben2_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben2_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben1_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben1_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben4_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben4_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben3_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben3_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben2_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben2_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben1_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben1_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben4_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben4_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben3_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben3_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben2_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben2_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben1_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben1_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk3bf_wenben5_8",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk3_wenben5_8",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },




         {
            "id" : "nielyjs_sk4bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben4_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben4_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben3_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben3_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben2_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben2_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben1_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben1_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk4bf_wenben5_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk4_wenben5_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },




         {
            "id" : "nielyjs_sk5bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben4_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben4_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben3_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben3_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben2_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben2_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben1_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben1_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben4_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben4_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben3_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben3_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben2_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben2_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben1_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben1_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk5bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk5_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         



         {
            "id" : "nielyjs_sk6bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben4_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben4_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben3_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben3_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben2_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben2_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben1_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben1_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk6bf_wenben5_7",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk6_wenben5_7",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },




         {
            "id" : "nielyjs_sk7bf_wenben5_1",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_1",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben5_2",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_2",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben5_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben4_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben4_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben3_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben3_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben2_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben2_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben1_3",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben1_3",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben5_4",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_4",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben5_5",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_5",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         },
         {
            "id" : "nielyjs_sk7bf_wenben5_6",
            "stat_type" : "upgrade_discount",
            "stat_sub_type" : "nielyjs_sk7_wenben5_6",
            "amount" : 1,
            "remove_if_not_active" : false,
            "rule_type" : "always",
            "is_false_rule" : false,
            "rule_data" : {
               "float" : 0,
               "string" : ""
            }
         }







   
   






      
   ]
}